function __processArg(obj, key) {
    var arg = null;
    if (obj) {
        arg = obj[key] || null;
        delete obj[key];
    }
    return arg;
}

function Controller() {
    function onWindowOpen() {
        $.termsWebView.url = "https://www.google.com";
    }
    function onWebViewLoad(e) {
        Ti.API.info("onWebViewLoad", JSON.stringify(e));
        if (error || null == e.source) {
            console.log("inside", error);
            setTimeout(function() {
                error = false;
                $.termsWebView.url = "https://www.google.com";
            }, 2e3);
        }
    }
    function onWebViewError(e) {
        Ti.API.info("onWebViewError", JSON.stringify(e));
        error = true;
    }
    require("/alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "index";
    this.args = arguments[0] || {};
    if (arguments[0]) {
        __processArg(arguments[0], "__parentSymbol");
        __processArg(arguments[0], "$model");
        __processArg(arguments[0], "__itemTemplate");
    }
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.win = Ti.UI.createWindow({
        backgroundColor: "#00FFFFFF",
        id: "win"
    });
    $.__views.win && $.addTopLevelView($.__views.win);
    onWindowOpen ? $.addListener($.__views.win, "open", onWindowOpen) : __defers["$.__views.win!open!onWindowOpen"] = true;
    $.__views.termsWebView = Ti.UI.createWebView({
        id: "termsWebView",
        width: Ti.UI.FILL,
        height: Ti.UI.FILL
    });
    $.__views.win.add($.__views.termsWebView);
    onWebViewError ? $.addListener($.__views.termsWebView, "error", onWebViewError) : __defers["$.__views.termsWebView!error!onWebViewError"] = true;
    onWebViewLoad ? $.addListener($.__views.termsWebView, "load", onWebViewLoad) : __defers["$.__views.termsWebView!load!onWebViewLoad"] = true;
    $.__views.acceptBtn = Ti.UI.createButton({
        height: 50,
        width: "75%",
        borderRadius: 3,
        font: {
            fontFamily: "FrutigerLTStd-Roman",
            fontSize: 16
        },
        title: "accept",
        bottom: "16.67%",
        backgroundColor: "#569bbe",
        color: "#fffefb",
        id: "acceptBtn"
    });
    $.__views.win.add($.__views.acceptBtn);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var error = ($.args, false);
    $.win.open();
    __defers["$.__views.win!open!onWindowOpen"] && $.addListener($.__views.win, "open", onWindowOpen);
    __defers["$.__views.termsWebView!error!onWebViewError"] && $.addListener($.__views.termsWebView, "error", onWebViewError);
    __defers["$.__views.termsWebView!load!onWebViewLoad"] && $.addListener($.__views.termsWebView, "load", onWebViewLoad);
    _.extend($, exports);
}

var Alloy = require("/alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;